Linux安装oracle19c(静默安装)

废话不多说,直接安装

内存越界

一、准备安装

1.1、检查安装环境

[root@bogon /]# grep MemTotal /proc/meminfo
MemTotal:        7990132 kB
[root@bogon /]# grep SwapTotal /proc/meminfo
SwapTotal:       8257532 kB
[root@bogon /]# df -h /tmp
文件系统                 容量  已用  可用 已用% 挂载点
/dev/mapper/centos-root   88G   14G   75G   16% /
[root@bogon /]# df -h /dev/shm
文件系统        容量  已用  可用 已用% 挂载点
tmpfs           3.9G   26M  3.8G    1% /dev/shm
[root@bogon /]# free -g
              total        used        free      shared  buff/cache   available
Mem:              7           1           2           0           3           5
Swap:             7           0           7
[root@bogon /]# uname -m
x86_64
[root@bogon /]#

基本够用,越大越好

蓝牙

1.2、安装系统依赖包

Shader

有以上依赖包需要进行安装,直接yum安装

围棋

[root@bogon /]# yum install -y compat-libcap1 compat-libstdc++-33 gcc-c++ ksh libaio-devel libstdc++-devel elfutils-libelf-devel fontconfig-devel libXrender-devel
已加载插件:fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirrors.bupt.edu.cn
 * extras: mirrors.huaweicloud.com
 * updates: mirrors.huaweicloud.com

正在解决依赖关系
--> 正在检查事务
---> 软件包 compat-libcap1.x86_64.0.1.10-7.el7 将被 安装
---> 软件包 compat-libstdc++-33.x86_64.0.3.2.3-72.el7 将被 安装
---> 软件包 elfutils-libelf-devel.x86_64.0.0.176-5.el7 将被 安装
--> 正在处理依赖关系 elfutils-libelf(x86-64) = 0.176-5.el7,它被软件包 elfutils-libelf-devel-0.176-5.el7.x86_64 需要
--> 正在处理依赖关系 pkgconfig(zlib),它被软件包 elfutils-libelf-devel-0.176-5.el7.x86_64 需要
---> 软件包 fontconfig-devel.x86_64.0.2.13.0-4.3.el7 将被 安装
--> 正在处理依赖关系 pkgconfig(freetype2) >= 20.0.14,它被软件包 fontconfig-devel-2.13.0-4.3.el7.x86_64 需要
--> 正在处理依赖关系 freetype-devel >= 2.8-7,它被软件包 fontconfig-devel-2.13.0-4.3.el7.x86_64 需要
--> 正在处理依赖关系 pkgconfig(uuid),它被软件包 fontconfig-devel-2.13.0-4.3.el7.x86_64 需要
--> 正在处理依赖关系 pkgconfig(expat),它被软件包 fontconfig-devel-2.13.0-4.3.el7.x86_64 需要
---> 软件包 gcc-c++.x86_64.0.4.8.5-44.el7 将被 安装
--> 正在处理依赖关系 libstdc++ = 4.8.5-44.el7,它被软件包 gcc-c++-4.8.5-44.el7.x86_64 需要
--> 正在处理依赖关系 gcc = 4.8.5-44.el7,它被软件包 gcc-c++-4.8.5-44.el7.x86_64 需要
---> 软件包 ksh.x86_64.0.20120801-143.el7_9 将被 安装
---> 软件包 libXrender-devel.x86_64.0.0.9.10-1.el7 将被 安装
---> 软件包 libaio-devel.x86_64.0.0.3.109-13.el7 将被 安装
---> 软件包 libstdc++-devel.x86_64.0.4.8.5-44.el7 将被 安装
--> 正在检查事务
---> 软件包 elfutils-libelf.x86_64.0.0.176-2.el7 将被 升级
--> 正在处理依赖关系 elfutils-libelf(x86-64) = 0.176-2.el7,它被软件包 elfutils-0.176-2.el7.x86_64 需要
--> 正在处理依赖关系 elfutils-libelf(x86-64) = 0.176-2.el7,它被软件包 elfutils-libs-0.176-2.el7.x86_64 需要
---> 软件包 elfutils-libelf.x86_64.0.0.176-5.el7 将被 更新
---> 软件包 expat-devel.x86_64.0.2.1.0-14.el7_9 将被 安装
--> 正在处理依赖关系 expat = 2.1.0-14.el7_9,它被软件包 expat-devel-2.1.0-14.el7_9.x86_64 需要
---> 软件包 freetype-devel.x86_64.0.2.8-14.el7_9.1 将被 安装
--> 正在处理依赖关系 freetype = 2.8-14.el7_9.1,它被软件包 freetype-devel-2.8-14.el7_9.1.x86_64 需要
--> 正在处理依赖关系 pkgconfig(libpng),它被软件包 freetype-devel-2.8-14.el7_9.1.x86_64 需要
---> 软件包 gcc.x86_64.0.4.8.5-44.el7 将被 安装
--> 正在处理依赖关系 libgomp = 4.8.5-44.el7,它被软件包 gcc-4.8.5-44.el7.x86_64 需要
--> 正在处理依赖关系 cpp = 4.8.5-44.el7,它被软件包 gcc-4.8.5-44.el7.x86_64 需要
--> 正在处理依赖关系 libgcc >= 4.8.5-44.el7,它被软件包 gcc-4.8.5-44.el7.x86_64 需要
--> 正在处理依赖关系 glibc-devel >= 2.2.90-12,它被软件包 gcc-4.8.5-44.el7.x86_64 需要
---> 软件包 libstdc++.x86_64.0.4.8.5-39.el7 将被 升级
---> 软件包 libstdc++.x86_64.0.4.8.5-44.el7 将被 更新
---> 软件包 libuuid-devel.x86_64.0.2.23.2-65.el7_9.1 将被 安装
--> 正在处理依赖关系 libuuid = 2.23.2-65.el7_9.1,它被软件包 libuuid-devel-2.23.2-65.el7_9.1.x86_64 需要
---> 软件包 zlib-devel.x86_64.0.1.2.7-20.el7_9 将被 安装
--> 正在处理依赖关系 zlib = 1.2.7-20.el7_9,它被软件包 zlib-devel-1.2.7-20.el7_9.x86_64 需要
--> 正在检查事务
---> 软件包 cpp.x86_64.0.4.8.5-44.el7 将被 安装
---> 软件包 elfutils.x86_64.0.0.176-2.el7 将被 升级
---> 软件包 elfutils.x86_64.0.0.176-5.el7 将被 更新
---> 软件包 elfutils-libs.x86_64.0.0.176-2.el7 将被 升级
---> 软件包 elfutils-libs.x86_64.0.0.176-5.el7 将被 更新
---> 软件包 expat.x86_64.0.2.1.0-10.el7_3 将被 升级
---> 软件包 expat.x86_64.0.2.1.0-14.el7_9 将被 更新
---> 软件包 freetype.x86_64.0.2.8-14.el7 将被 升级
---> 软件包 freetype.x86_64.0.2.8-14.el7_9.1 将被 更新
---> 软件包 glibc-devel.x86_64.0.2.17-326.el7_9 将被 安装
--> 正在处理依赖关系 glibc-headers = 2.17-326.el7_9,它被软件包 glibc-devel-2.17-326.el7_9.x86_64 需要
--> 正在处理依赖关系 glibc = 2.17-326.el7_9,它被软件包 glibc-devel-2.17-326.el7_9.x86_64 需要
--> 正在处理依赖关系 glibc-headers,它被软件包 glibc-devel-2.17-326.el7_9.x86_64 需要
---> 软件包 libgcc.x86_64.0.4.8.5-39.el7 将被 升级
---> 软件包 libgcc.x86_64.0.4.8.5-44.el7 将被 更新
---> 软件包 libgomp.x86_64.0.4.8.5-39.el7 将被 升级
---> 软件包 libgomp.x86_64.0.4.8.5-44.el7 将被 更新
---> 软件包 libpng-devel.x86_64.2.1.5.13-8.el7 将被 安装
--> 正在处理依赖关系 libpng(x86-64) = 2:1.5.13-8.el7,它被软件包 2:libpng-devel-1.5.13-8.el7.x86_64 需要
---> 软件包 libuuid.x86_64.0.2.23.2-61.el7 将被 升级
--> 正在处理依赖关系 libuuid = 2.23.2-61.el7,它被软件包 util-linux-2.23.2-61.el7.x86_64 需要
--> 正在处理依赖关系 libuuid = 2.23.2-61.el7,它被软件包 libblkid-2.23.2-61.el7.x86_64 需要
--> 正在处理依赖关系 libuuid = 2.23.2-61.el7,它被软件包 libmount-2.23.2-61.el7.x86_64 需要
---> 软件包 libuuid.x86_64.0.2.23.2-65.el7_9.1 将被 更新
---> 软件包 zlib.x86_64.0.1.2.7-18.el7 将被 升级
---> 软件包 zlib.x86_64.0.1.2.7-20.el7_9 将被 更新
--> 正在检查事务
---> 软件包 glibc.x86_64.0.2.17-292.el7 将被 升级
--> 正在处理依赖关系 glibc = 2.17-292.el7,它被软件包 glibc-common-2.17-292.el7.x86_64 需要
---> 软件包 glibc.x86_64.0.2.17-326.el7_9 将被 更新
---> 软件包 glibc-headers.x86_64.0.2.17-326.el7_9 将被 安装
--> 正在处理依赖关系 kernel-headers >= 2.2.1,它被软件包 glibc-headers-2.17-326.el7_9.x86_64 需要
--> 正在处理依赖关系 kernel-headers,它被软件包 glibc-headers-2.17-326.el7_9.x86_64 需要
---> 软件包 libblkid.x86_64.0.2.23.2-61.el7 将被 升级
---> 软件包 libblkid.x86_64.0.2.23.2-65.el7_9.1 将被 更新
---> 软件包 libmount.x86_64.0.2.23.2-61.el7 将被 升级
---> 软件包 libmount.x86_64.0.2.23.2-65.el7_9.1 将被 更新
---> 软件包 libpng.x86_64.2.1.5.13-7.el7_2 将被 升级
---> 软件包 libpng.x86_64.2.1.5.13-8.el7 将被 更新
---> 软件包 util-linux.x86_64.0.2.23.2-61.el7 将被 升级
---> 软件包 util-linux.x86_64.0.2.23.2-65.el7_9.1 将被 更新
--> 正在处理依赖关系 libsmartcols = 2.23.2-65.el7_9.1,它被软件包 util-linux-2.23.2-65.el7_9.1.x86_64 需要
--> 正在检查事务
---> 软件包 glibc-common.x86_64.0.2.17-292.el7 将被 升级
---> 软件包 glibc-common.x86_64.0.2.17-326.el7_9 将被 更新
---> 软件包 kernel-headers.x86_64.0.3.10.0-1160.71.1.el7 将被 安装
---> 软件包 libsmartcols.x86_64.0.2.23.2-61.el7 将被 升级
---> 软件包 libsmartcols.x86_64.0.2.23.2-65.el7_9.1 将被 更新
--> 解决依赖关系完成

依赖关系解决

====================================================================================================================================================================================================================
 Package                                                   架构                                       版本                                                        源                                           大小
====================================================================================================================================================================================================================
正在安装:
 compat-libcap1                                            x86_64                                     1.10-7.el7                                                  base                                         19 k
 compat-libstdc++-33                                       x86_64                                     3.2.3-72.el7                                                base                                        191 k
 elfutils-libelf-devel                                     x86_64                                     0.176-5.el7                                                 base                                         40 k
 fontconfig-devel                                          x86_64                                     2.13.0-4.3.el7                                              base                                        138 k
 gcc-c++                                                   x86_64                                     4.8.5-44.el7                                                base                                        7.2 M
 ksh                                                       x86_64                                     20120801-143.el7_9                                          updates                                     885 k
 libXrender-devel                                          x86_64                                     0.9.10-1.el7                                                base                                         17 k
 libaio-devel                                              x86_64                                     0.3.109-13.el7                                              base                                         13 k
 libstdc++-devel                                           x86_64                                     4.8.5-44.el7                                                base                                        1.5 M
为依赖而安装:
 cpp                                                       x86_64                                     4.8.5-44.el7                                                base                                        5.9 M
 expat-devel                                               x86_64                                     2.1.0-14.el7_9                                              updates                                      58 k
 freetype-devel                                            x86_64                                     2.8-14.el7_9.1                                              updates                                     447 k
 gcc                                                       x86_64                                     4.8.5-44.el7                                                base                                         16 M
 glibc-devel                                               x86_64                                     2.17-326.el7_9                                              updates                                     1.1 M
 glibc-headers                                             x86_64                                     2.17-326.el7_9                                              updates                                     691 k
 kernel-headers                                            x86_64                                     3.10.0-1160.71.1.el7                                        updates                                     9.1 M
 libpng-devel                                              x86_64                                     2:1.5.13-8.el7                                              base                                        122 k
 libuuid-devel                                             x86_64                                     2.23.2-65.el7_9.1                                           updates                                      93 k
 zlib-devel                                                x86_64                                     1.2.7-20.el7_9                                              updates                                      50 k
为依赖而更新:
 elfutils                                                  x86_64                                     0.176-5.el7                                                 base                                        308 k
 elfutils-libelf                                           x86_64                                     0.176-5.el7                                                 base                                        195 k
 elfutils-libs                                             x86_64                                     0.176-5.el7                                                 base                                        291 k
 expat                                                     x86_64                                     2.1.0-14.el7_9                                              updates                                      83 k
 freetype                                                  x86_64                                     2.8-14.el7_9.1                                              updates                                     380 k
 glibc                                                     x86_64                                     2.17-326.el7_9                                              updates                                     3.6 M
 glibc-common                                              x86_64                                     2.17-326.el7_9                                              updates                                      12 M
 libblkid                                                  x86_64                                     2.23.2-65.el7_9.1                                           updates                                     183 k
 libgcc                                                    x86_64                                     4.8.5-44.el7                                                base                                        103 k
 libgomp                                                   x86_64                                     4.8.5-44.el7                                                base                                        159 k
 libmount                                                  x86_64                                     2.23.2-65.el7_9.1                                           updates                                     185 k
 libpng                                                    x86_64                                     2:1.5.13-8.el7                                              base                                        213 k
 libsmartcols                                              x86_64                                     2.23.2-65.el7_9.1                                           updates                                     143 k
 libstdc++                                                 x86_64                                     4.8.5-44.el7                                                base                                        306 k
 libuuid                                                   x86_64                                     2.23.2-65.el7_9.1                                           updates                                      84 k
 util-linux                                                x86_64                                     2.23.2-65.el7_9.1                                           updates                                     2.0 M
 zlib                                                      x86_64                                     1.2.7-20.el7_9                                              updates                                      90 k

事务概要
====================================================================================================================================================================================================================
安装  9 软件包 (+10 依赖软件包)
升级           ( 17 依赖软件包)

总下载量:63 M
Downloading packages:
No Presto metadata available for base
No Presto metadata available for updates
(1/36): compat-libcap1-1.10-7.el7.x86_64.rpm                                                                                                                                                 |  19 kB  00:00:00     
(2/36): elfutils-libelf-devel-0.176-5.el7.x86_64.rpm                                                                                                                                         |  40 kB  00:00:00     
(3/36): compat-libstdc++-33-3.2.3-72.el7.x86_64.rpm                                                                                                                                          | 191 kB  00:00:00     
(4/36): elfutils-libelf-0.176-5.el7.x86_64.rpm                                                                                                                                               | 195 kB  00:00:00     
(5/36): expat-devel-2.1.0-14.el7_9.x86_64.rpm                                                                                                                                                |  58 kB  00:00:00     
(6/36): elfutils-libs-0.176-5.el7.x86_64.rpm                                                                                                                                                 | 291 kB  00:00:01     
(7/36): expat-2.1.0-14.el7_9.x86_64.rpm                                                                                                                                                      |  83 kB  00:00:00     
(8/36): fontconfig-devel-2.13.0-4.3.el7.x86_64.rpm                                                                                                                                           | 138 kB  00:00:00     
(9/36): elfutils-0.176-5.el7.x86_64.rpm                                                                                                                                                      | 308 kB  00:00:03     
(10/36): freetype-devel-2.8-14.el7_9.1.x86_64.rpm                                                                                                                                            | 447 kB  00:00:02     
(11/36): freetype-2.8-14.el7_9.1.x86_64.rpm                                                                                                                                                  | 380 kB  00:00:03     
(12/36): glibc-2.17-326.el7_9.x86_64.rpm                                                                                                                                                     | 3.6 MB  00:00:16     
(13/36): glibc-devel-2.17-326.el7_9.x86_64.rpm                                                                                                                                               | 1.1 MB  00:00:04     
(14/36): glibc-headers-2.17-326.el7_9.x86_64.rpm                                                                                                                                             | 691 kB  00:00:03     
(15/36): cpp-4.8.5-44.el7.x86_64.rpm                                                                                                                                                         | 5.9 MB  00:00:29     
(16/36): gcc-c++-4.8.5-44.el7.x86_64.rpm                                                                                                                                                     | 7.2 MB  00:00:31     
(17/36): libXrender-devel-0.9.10-1.el7.x86_64.rpm                                                                                                                                            |  17 kB  00:00:00     
(18/36): libaio-devel-0.3.109-13.el7.x86_64.rpm                                                                                                                                              |  13 kB  00:00:00     
(19/36): ksh-20120801-143.el7_9.x86_64.rpm                                                                                                                                                   | 885 kB  00:00:05     
(20/36): libblkid-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                               | 183 kB  00:00:01     
(21/36): libgcc-4.8.5-44.el7.x86_64.rpm                                                                                                                                                      | 103 kB  00:00:00     
(22/36): libmount-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                               | 185 kB  00:00:00     
(23/36): libgomp-4.8.5-44.el7.x86_64.rpm                                                                                                                                                     | 159 kB  00:00:01     
(24/36): libpng-devel-1.5.13-8.el7.x86_64.rpm                                                                                                                                                | 122 kB  00:00:00     
(25/36): libpng-1.5.13-8.el7.x86_64.rpm                                                                                                                                                      | 213 kB  00:00:01     
(26/36): libsmartcols-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                           | 143 kB  00:00:00     
(27/36): libstdc++-4.8.5-44.el7.x86_64.rpm                                                                                                                                                   | 306 kB  00:00:01     
(28/36): libuuid-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                                |  84 kB  00:00:03     
(29/36): libuuid-devel-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                          |  93 kB  00:00:00     
(30/36): util-linux-2.23.2-65.el7_9.1.x86_64.rpm                                                                                                                                             | 2.0 MB  00:00:07     
(31/36): zlib-1.2.7-20.el7_9.x86_64.rpm                                                                                                                                                      |  90 kB  00:00:01     
(32/36): zlib-devel-1.2.7-20.el7_9.x86_64.rpm                                                                                                                                                |  50 kB  00:00:00     
(33/36): libstdc++-devel-4.8.5-44.el7.x86_64.rpm                                                                                                                                             | 1.5 MB  00:00:15     
(34/36): gcc-4.8.5-44.el7.x86_64.rpm                                                                                                                                                         |  16 MB  00:01:05     
(35/36): glibc-common-2.17-326.el7_9.x86_64.rpm                                                                                                                                              |  12 MB  00:01:02     
(36/36): kernel-headers-3.10.0-1160.71.1.el7.x86_64.rpm                                                                                                                                      | 9.1 MB  00:00:41     
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
总计                                                                                                                                                                                923 kB/s |  63 MB  00:01:10     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  正在更新    : libgcc-4.8.5-44.el7.x86_64                                                                                                                                                                     1/53 
  正在更新    : glibc-common-2.17-326.el7_9.x86_64                                                                                                                                                             2/53 
  正在更新    : glibc-2.17-326.el7_9.x86_64                                                                                                                                                                    3/53 
  正在更新    : zlib-1.2.7-20.el7_9.x86_64                                                                                                                                                                     4/53 
  正在更新    : libuuid-2.23.2-65.el7_9.1.x86_64                                                                                                                                                               5/53 
  正在更新    : elfutils-libelf-0.176-5.el7.x86_64                                                                                                                                                             6/53 
  正在安装    : zlib-devel-1.2.7-20.el7_9.x86_64                                                                                                                                                               7/53 
  正在更新    : libstdc++-4.8.5-44.el7.x86_64                                                                                                                                                                  8/53 
  正在更新    : libblkid-2.23.2-65.el7_9.1.x86_64                                                                                                                                                              9/53 
  正在更新    : 2:libpng-1.5.13-8.el7.x86_64                                                                                                                                                                  10/53 
  正在更新    : freetype-2.8-14.el7_9.1.x86_64                                                                                                                                                                11/53 
  正在安装    : 2:libpng-devel-1.5.13-8.el7.x86_64                                                                                                                                                            12/53 
  正在安装    : freetype-devel-2.8-14.el7_9.1.x86_64                                                                                                                                                          13/53 
  正在更新    : libmount-2.23.2-65.el7_9.1.x86_64                                                                                                                                                             14/53 
  正在安装    : libstdc++-devel-4.8.5-44.el7.x86_64                                                                                                                                                           15/53 
  正在更新    : elfutils-libs-0.176-5.el7.x86_64                                                                                                                                                              16/53 
  正在安装    : libuuid-devel-2.23.2-65.el7_9.1.x86_64                                                                                                                                                        17/53 
  正在安装    : cpp-4.8.5-44.el7.x86_64                                                                                                                                                                       18/53 
  正在更新    : expat-2.1.0-14.el7_9.x86_64                                                                                                                                                                   19/53 
  正在安装    : expat-devel-2.1.0-14.el7_9.x86_64                                                                                                                                                             20/53 
  正在更新    : libsmartcols-2.23.2-65.el7_9.1.x86_64                                                                                                                                                         21/53 
  正在更新    : libgomp-4.8.5-44.el7.x86_64                                                                                                                                                                   22/53 
  正在安装    : kernel-headers-3.10.0-1160.71.1.el7.x86_64                                                                                                                                                    23/53 
  正在安装    : glibc-headers-2.17-326.el7_9.x86_64                                                                                                                                                           24/53 
  正在安装    : glibc-devel-2.17-326.el7_9.x86_64                                                                                                                                                             25/53 
  正在安装    : gcc-4.8.5-44.el7.x86_64                                                                                                                                                                       26/53 
  正在安装    : gcc-c++-4.8.5-44.el7.x86_64                                                                                                                                                                   27/53 
  正在更新    : util-linux-2.23.2-65.el7_9.1.x86_64                                                                                                                                                           28/53 
  正在安装    : fontconfig-devel-2.13.0-4.3.el7.x86_64                                                                                                                                                        29/53 
  正在更新    : elfutils-0.176-5.el7.x86_64                                                                                                                                                                   30/53 
  正在安装    : elfutils-libelf-devel-0.176-5.el7.x86_64                                                                                                                                                      31/53 
  正在安装    : compat-libcap1-1.10-7.el7.x86_64                                                                                                                                                              32/53 
  正在安装    : ksh-20120801-143.el7_9.x86_64                                                                                                                                                                 33/53 
  正在安装    : compat-libstdc++-33-3.2.3-72.el7.x86_64                                                                                                                                                       34/53 
  正在安装    : libaio-devel-0.3.109-13.el7.x86_64                                                                                                                                                            35/53 
  正在安装    : libXrender-devel-0.9.10-1.el7.x86_64                                                                                                                                                          36/53 
  清理        : util-linux-2.23.2-61.el7.x86_64                                                                                                                                                               37/53 
  清理        : elfutils-0.176-2.el7.x86_64                                                                                                                                                                   38/53 
  清理        : elfutils-libs-0.176-2.el7.x86_64                                                                                                                                                              39/53 
  清理        : libmount-2.23.2-61.el7.x86_64                                                                                                                                                                 40/53 
  清理        : freetype-2.8-14.el7.x86_64                                                                                                                                                                    41/53 
  清理        : 2:libpng-1.5.13-7.el7_2.x86_64                                                                                                                                                                42/53 
  清理        : libblkid-2.23.2-61.el7.x86_64                                                                                                                                                                 43/53 
  清理        : elfutils-libelf-0.176-2.el7.x86_64                                                                                                                                                            44/53 
  清理        : libstdc++-4.8.5-39.el7.x86_64                                                                                                                                                                 45/53 
  清理        : zlib-1.2.7-18.el7.x86_64                                                                                                                                                                      46/53 
  清理        : libuuid-2.23.2-61.el7.x86_64                                                                                                                                                                  47/53 
  清理        : libsmartcols-2.23.2-61.el7.x86_64                                                                                                                                                             48/53 
  清理        : libgomp-4.8.5-39.el7.x86_64                                                                                                                                                                   49/53 
  清理        : expat-2.1.0-10.el7_3.x86_64                                                                                                                                                                   50/53 
  清理        : glibc-common-2.17-292.el7.x86_64                                                                                                                                                              51/53 
  清理        : glibc-2.17-292.el7.x86_64                                                                                                                                                                     52/53 
  清理        : libgcc-4.8.5-39.el7.x86_64                                                                                                                                                                    53/53 
  验证中      : gcc-c++-4.8.5-44.el7.x86_64                                                                                                                                                                    1/53 
  验证中      : 2:libpng-1.5.13-8.el7.x86_64                                                                                                                                                                   2/53 
  验证中      : glibc-2.17-326.el7_9.x86_64                                                                                                                                                                    3/53 
  验证中      : zlib-1.2.7-20.el7_9.x86_64                                                                                                                                                                     4/53 
  验证中      : libmount-2.23.2-65.el7_9.1.x86_64                                                                                                                                                              5/53 
  验证中      : expat-2.1.0-14.el7_9.x86_64                                                                                                                                                                    6/53 
  验证中      : fontconfig-devel-2.13.0-4.3.el7.x86_64                                                                                                                                                         7/53 
  验证中      : libuuid-devel-2.23.2-65.el7_9.1.x86_64                                                                                                                                                         8/53 
  验证中      : cpp-4.8.5-44.el7.x86_64                                                                                                                                                                        9/53 
  验证中      : glibc-headers-2.17-326.el7_9.x86_64                                                                                                                                                           10/53 
  验证中      : libsmartcols-2.23.2-65.el7_9.1.x86_64                                                                                                                                                         11/53 
  验证中      : util-linux-2.23.2-65.el7_9.1.x86_64                                                                                                                                                           12/53 
  验证中      : kernel-headers-3.10.0-1160.71.1.el7.x86_64                                                                                                                                                    13/53 
  验证中      : libXrender-devel-0.9.10-1.el7.x86_64                                                                                                                                                          14/53 
  验证中      : libblkid-2.23.2-65.el7_9.1.x86_64                                                                                                                                                             15/53 
  验证中      : gcc-4.8.5-44.el7.x86_64                                                                                                                                                                       16/53 
  验证中      : compat-libcap1-1.10-7.el7.x86_64                                                                                                                                                              17/53 
  验证中      : elfutils-libelf-0.176-5.el7.x86_64                                                                                                                                                            18/53 
  验证中      : zlib-devel-1.2.7-20.el7_9.x86_64                                                                                                                                                              19/53 
  验证中      : freetype-devel-2.8-14.el7_9.1.x86_64                                                                                                                                                          20/53 
  验证中      : ksh-20120801-143.el7_9.x86_64                                                                                                                                                                 21/53 
  验证中      : elfutils-libelf-devel-0.176-5.el7.x86_64                                                                                                                                                      22/53 
  验证中      : expat-devel-2.1.0-14.el7_9.x86_64                                                                                                                                                             23/53 
  验证中      : glibc-common-2.17-326.el7_9.x86_64                                                                                                                                                            24/53 
  验证中      : libstdc++-4.8.5-44.el7.x86_64                                                                                                                                                                 25/53 
  验证中      : elfutils-0.176-5.el7.x86_64                                                                                                                                                                   26/53 
  验证中      : libuuid-2.23.2-65.el7_9.1.x86_64                                                                                                                                                              27/53 
  验证中      : glibc-devel-2.17-326.el7_9.x86_64                                                                                                                                                             28/53 
  验证中      : compat-libstdc++-33-3.2.3-72.el7.x86_64                                                                                                                                                       29/53 
  验证中      : libstdc++-devel-4.8.5-44.el7.x86_64                                                                                                                                                           30/53 
  验证中      : libgomp-4.8.5-44.el7.x86_64                                                                                                                                                                   31/53 
  验证中      : libaio-devel-0.3.109-13.el7.x86_64                                                                                                                                                            32/53 
  验证中      : freetype-2.8-14.el7_9.1.x86_64                                                                                                                                                                33/53 
  验证中      : libgcc-4.8.5-44.el7.x86_64                                                                                                                                                                    34/53 
  验证中      : 2:libpng-devel-1.5.13-8.el7.x86_64                                                                                                                                                            35/53 
  验证中      : elfutils-libs-0.176-5.el7.x86_64                                                                                                                                                              36/53 
  验证中      : 2:libpng-1.5.13-7.el7_2.x86_64                                                                                                                                                                37/53 
  验证中      : util-linux-2.23.2-61.el7.x86_64                                                                                                                                                               38/53 
  验证中      : freetype-2.8-14.el7.x86_64                                                                                                                                                                    39/53 
  验证中      : libstdc++-4.8.5-39.el7.x86_64                                                                                                                                                                 40/53 
  验证中      : zlib-1.2.7-18.el7.x86_64                                                                                                                                                                      41/53 
  验证中      : libgcc-4.8.5-39.el7.x86_64                                                                                                                                                                    42/53 
  验证中      : libgomp-4.8.5-39.el7.x86_64                                                                                                                                                                   43/53 
  验证中      : glibc-common-2.17-292.el7.x86_64                                                                                                                                                              44/53 
  验证中      : libblkid-2.23.2-61.el7.x86_64                                                                                                                                                                 45/53 
  验证中      : libuuid-2.23.2-61.el7.x86_64                                                                                                                                                                  46/53 
  验证中      : libsmartcols-2.23.2-61.el7.x86_64                                                                                                                                                             47/53 
  验证中      : libmount-2.23.2-61.el7.x86_64                                                                                                                                                                 48/53 
  验证中      : glibc-2.17-292.el7.x86_64                                                                                                                                                                     49/53 
  验证中      : elfutils-0.176-2.el7.x86_64                                                                                                                                                                   50/53 
  验证中      : elfutils-libs-0.176-2.el7.x86_64                                                                                                                                                              51/53 
  验证中      : elfutils-libelf-0.176-2.el7.x86_64                                                                                                                                                            52/53 
  验证中      : expat-2.1.0-10.el7_3.x86_64                                                                                                                                                                   53/53 

已安装:
  compat-libcap1.x86_64 0:1.10-7.el7     compat-libstdc++-33.x86_64 0:3.2.3-72.el7     elfutils-libelf-devel.x86_64 0:0.176-5.el7     fontconfig-devel.x86_64 0:2.13.0-4.3.el7     gcc-c++.x86_64 0:4.8.5-44.el7    
  ksh.x86_64 0:20120801-143.el7_9        libXrender-devel.x86_64 0:0.9.10-1.el7        libaio-devel.x86_64 0:0.3.109-13.el7           libstdc++-devel.x86_64 0:4.8.5-44.el7       

作为依赖被安装:
  cpp.x86_64 0:4.8.5-44.el7               expat-devel.x86_64 0:2.1.0-14.el7_9            freetype-devel.x86_64 0:2.8-14.el7_9.1   gcc.x86_64 0:4.8.5-44.el7                  glibc-devel.x86_64 0:2.17-326.el7_9  
  glibc-headers.x86_64 0:2.17-326.el7_9   kernel-headers.x86_64 0:3.10.0-1160.71.1.el7   libpng-devel.x86_64 2:1.5.13-8.el7       libuuid-devel.x86_64 0:2.23.2-65.el7_9.1   zlib-devel.x86_64 0:1.2.7-20.el7_9   

作为依赖被升级:
  elfutils.x86_64 0:0.176-5.el7              elfutils-libelf.x86_64 0:0.176-5.el7      elfutils-libs.x86_64 0:0.176-5.el7           expat.x86_64 0:2.1.0-14.el7_9        freetype.x86_64 0:2.8-14.el7_9.1       
  glibc.x86_64 0:2.17-326.el7_9              glibc-common.x86_64 0:2.17-326.el7_9      libblkid.x86_64 0:2.23.2-65.el7_9.1          libgcc.x86_64 0:4.8.5-44.el7         libgomp.x86_64 0:4.8.5-44.el7          
  libmount.x86_64 0:2.23.2-65.el7_9.1        libpng.x86_64 2:1.5.13-8.el7              libsmartcols.x86_64 0:2.23.2-65.el7_9.1      libstdc++.x86_64 0:4.8.5-44.el7      libuuid.x86_64 0:2.23.2-65.el7_9.1     
  util-linux.x86_64 0:2.23.2-65.el7_9.1      zlib.x86_64 0:1.2.7-20.el7_9             

完毕!

1.3、创建oracle用户组

[root@bogon /]# groupadd oinstall
[root@bogon /]# groupadd dba
[root@bogon /]# groupadd asmdba
[root@bogon /]# groupadd backupdba
[root@bogon /]# groupadd dgdba
[root@bogon /]# groupadd kmdba
[root@bogon /]# groupadd racdba
[root@bogon /]# groupadd oper
[root@bogon /]# useradd -g oinstall -G dba,asmdba,backupdba,dgdba,kmdba,racdba,oper -m oracle

1.4、配置系统内核参数

任务调度

 

kettle

 通过修改配置文件进行调整内核参数

Python

[root@bogon /]# vim /etc/sysctl.conf

# sysctl settings are defined through files in
# /usr/lib/sysctl.d/, /run/sysctl.d/, and /etc/sysctl.d/.
#
# Vendors settings live in /usr/lib/sysctl.d/.
# To override a whole file, create a new file with the same in
# /etc/sysctl.d/ and put new settings there. To override
# only specific settings, add a file with a lexically later
# name in /etc/sysctl.d/ and put new settings there.
#
# For more information, see sysctl.conf(5) and sysctl.d(5).
fs.aio-max-nr = 1048576
fs.file-max = 6815744
kernel.shmall = 16451328
kernel.shmmax = 33692319744
kernel.shmmni = 4096
kernel.sem = 250 32000 100 128
net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 262144
net.core.rmem_max = 4194304
net.core.wmem_default = 262144
net.core.wmem_max = 1048576

输入sysctl -p使配置生效

雷同率

[root@bogon /]# /sbin/sysctl -p
fs.aio-max-nr = 1048576
fs.file-max = 6815744
kernel.shmall = 16451328
kernel.shmmax = 33692319744
kernel.shmmni = 4096
kernel.sem = 250 32000 100 128
net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 262144
net.core.rmem_max = 4194304
net.core.wmem_default = 262144
net.core.wmem_max = 1048576
[root@bogon /]#

1.5、关闭selinux和防火墙

[root@bogon /]# setenforce 0
[root@bogon /]# systemctl stop firewalld

1.6配置用户环境

1、oracle用户环境变量

爬虫必备知识详解

[root@bogon /]# su - oracle
[oracle@bogon ~]$ vim .bash_profile
# .bash_profile

# Get the aliases and functions
if [ -f ~/.bashrc ]; then
        . ~/.bashrc
fi

# User specific environment and startup programs

PATH=$PATH:$HOME/.local/bin:$HOME/bin

export PATH

export NLS_LANG=AMERICAN_AMERICA.ZHS16GBK
export ORACLE_BASE=/u01/app/oracle
export ORACLE_HOME=/u01/app/oracle/product/19.5.0
export PATH=$PATH:$ORACLE_HOME/bin:/usr/local/bin
export ORACLE_HOSTNAME=ywxtdb
export ORACLE_SID=ywxtdb
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/rdbms/lib:$ORACLE_HOME/network/lib:/lib:/usr/lib
export CLASSPATH=$ORACLE_HOME/jlib:$ORACLE_HOME/rdbms/jlib:$ORACLE_HOME/network/jlib

2、使用root用户创建oracle目录

课程设计

[root@bogon /]# mkdir u01
[root@bogon /]# chmod 777 u01

3、修改用户的Shell限制

ssh

[root@bogon /]# vim /etc/security/limits.conf

在结尾添加如下内容

ArrayList集合

oracle soft core unlimited
oracle hard core unlimited
oracle soft nofile 10240
oracle hard nofile 65536
oracle soft nproc 16384
oracle hard nproc 16384
oracle soft stack 10240
oracle hard stack 32768

二、安装

1、创建目录及解压安装包

[root@bogon /]# mkdir -p /u01/app/oracle/product/19.5.0
[root@bogon /]# cd /u01/app/
[root@bogon app]# chown -R oracle:oinstall oracle/
[oracle@bogon 19.5.0]$ unzip LINUX.X64_193000_db_home.zip 
[root@bogon app]# mkdir /u01/app/oraInventory
[root@bogon app]# chown -R oracle:oinstall oraInventory/

2、开始静默安装

先创建必要目录

cuda

#备份
[oracle@bogon 19.5.0]$ cd $ORACLE_HOME/install/response
[oracle@bogon response]$ cp db_install.rsp db_install.rsp.bak
#编辑db_install.rsp
[oracle@bogon response]$ vim db_install.rsp
#主要是修改以下参数
oracle.install.option=INSTALL_DB_SWONLY
UNIX_GROUP_NAME=oinstall
INVENTORY_LOCATION=/u01/app/oraInventory
ORACLE_HOME=/u01/app/oracle/product/19.5.0
ORACLE_BASE=/u01/app/oracle
oracle.install.db.InstallEdition=EE
oracle.install.db.OSDBA_GROUP=dba
oracle.install.db.OSOPER_GROUP=oper
oracle.install.db.OSBACKUPDBA_GROUP=backupdba
oracle.install.db.OSDGDBA_GROUP=dgdba
oracle.install.db.OSKMDBA_GROUP=kmdba
oracle.install.db.OSRACDBA_GROUP=racdba
oracle.install.db.rootconfig.executeRootScript=false

3、执行安装

[oracle@bogon 19.5.0]$ ./runInstaller -silent -responseFile /u01/app/oracle/product/19.5.0/install/response/db_install.rsp
正在启动 Oracle 数据库安装向导...

可以在以下位置找到此会话的响应文件:
 /u01/app/oracle/product/19.5.0/install/response/db_2022-07-01_05-02-34PM.rsp

可以在以下位置找到本次安装会话的日志:
 /tmp/InstallActions2022-07-01_05-02-34PM/installActions2022-07-01_05-02-34PM.log

以 root 用户的身份执行以下脚本:
	1. /u01/app/oraInventory/orainstRoot.sh
	2. /u01/app/oracle/product/19.5.0/root.sh

在以下节点上执行/u01/app/oraInventory/orainstRoot.sh: 
[bogon]
在以下节点上执行/u01/app/oracle/product/19.5.0/root.sh: 
[bogon]


Successfully Setup Software.
已将安装会话日志移动到:
 /u01/app/oraInventory/logs/InstallActions2022-07-01_05-02-34PM
[oracle@bogon 19.5.0]$ 

4、根据提示使用root用户执行两个脚本

[root@bogon app]# /u01/app/oraInventory/orainstRoot.sh
更改权限/u01/app/oraInventory.
添加组的读取和写入权限。
删除全局的读取, 写入和执行权限。

更改组名/u01/app/oraInventory 到 oinstall.
脚本的执行已完成。
[root@bogon app]# /u01/app/oracle/product/19.5.0/root.sh
Check /u01/app/oracle/product/19.5.0/install/root_bogon_2022-07-01_17-04-42-449569984.log for the output of root script

ok!查看相关日志如果没有错误,oracle软件安装就已经完成了,之后参下考面的静默方式完成建库操作。

addLast

三、创建数据库实例

相应模板存放位置

基础入门教程

软件/u01/app/oracle/product/19.5.0/install/response/db_install.rsp
监听/u01/app/oracle/product/19.5.0/assistants/netca/netca.rsp
建库/u01/app/oracle/product/19.5.0/assistants/dbca/dbca.rsp

1、配置监听

[oracle@bogon admin]$ netca /silent /responseFile /u01/app/oracle/product/19.5.0/assistants/netca/netca.rsp

正在对命令行参数进行语法分析:
    参数"silent" = true
    参数"responsefile" = /u01/app/oracle/product/19.5.0/assistants/netca/netca.rsp
完成对命令行参数进行语法分析。
Oracle Net Services 配置:
完成概要文件配置。
Oracle Net 监听程序启动:
    正在运行监听程序控制: 
      /u01/app/oracle/product/19.5.0/bin/lsnrctl start LISTENER
   监听程序控制完成。
    未能启动监听程序。
有关详细信息, 请查看跟踪文件: /u01/app/oracle/cfgtoollogs/netca/trace_OraDB19Home1-2207015下午0920.log
Oracle Net Services 配置失败。退出代码是1

虽然失败,前面步骤漏了,但是不要紧,我们只需要修改配置文件

servlet

[oracle@bogon admin]$ cd /u01/app/oracle/product/19.5.0/network/admin
[oracle@bogon admin]$ vim listener.ora

LISTENER =
  (DESCRIPTION_LIST =
    (DESCRIPTION =
      (ADDRESS = (PROTOCOL = TCP)(HOST = 10.10.25.133)(PORT = 1521))
      (ADDRESS = (PROTOCOL = IPC)(KEY = EXTPROC1521))
    )
  )

配置完毕后执行以下命令

tcp/ip

[oracle@bogon admin]$ lsnrctl start 

LSNRCTL for Linux: Version 19.0.0.0.0 - Production on 01-JUL-2022 17:12:42

Copyright (c) 1991, 2019, Oracle.  All rights reserved.

Starting /u01/app/oracle/product/19.5.0/bin/tnslsnr: please wait...

TNSLSNR for Linux: Version 19.0.0.0.0 - Production
System parameter file is /u01/app/oracle/product/19.5.0/network/admin/listener.ora
Log messages written to /u01/app/oracle/diag/tnslsnr/bogon/listener/alert/log.xml
Listening on: (DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=10.10.25.133)(PORT=1521)))
Listening on: (DESCRIPTION=(ADDRESS=(PROTOCOL=ipc)(KEY=EXTPROC1521)))

Connecting to (DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=10.10.25.133)(PORT=1521)))
STATUS of the LISTENER
------------------------
Alias                     LISTENER
Version                   TNSLSNR for Linux: Version 19.0.0.0.0 - Production
Start Date                01-JUL-2022 17:12:42
Uptime                    0 days 0 hr. 0 min. 0 sec
Trace Level               off
Security                  ON: Local OS Authentication
SNMP                      OFF
Listener Parameter File   /u01/app/oracle/product/19.5.0/network/admin/listener.ora
Listener Log File         /u01/app/oracle/diag/tnslsnr/bogon/listener/alert/log.xml
Listening Endpoints Summary...
  (DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=10.10.25.133)(PORT=1521)))
  (DESCRIPTION=(ADDRESS=(PROTOCOL=ipc)(KEY=EXTPROC1521)))
The listener supports no services
The command completed successfully

监听启动成功!接下来创建数据库

tomcat

2、创建数据库

编辑响应文件

docker-nginx快速

[oracle@bogon admin]$ cd /u01/app/oracle/product/19.5.0/assistants/dbca
[oracle@bogon dbca]$ cp dbca.rsp dbca.rsp.bak
[oracle@bogon dbca]$ vim dbca.rsp

#主要修改以下参数
gdbName=orcl
sid=orcl
databaseConfigType=SI
templateName=General_Purpose.dbc
sysPassword=“password”
systemPassword=“passowrd”
emConfiguration=DBEXPRESS
dbsnmpPassword=“password”
datafileDestination=/u01/app/oracle/oradata
characterSet=ZHS16GBK
totalMemory=6144

执行安装

端口

[oracle@bogon dbca]$ dbca -silent -createDatabase -responseFile /u01/app/oracle/product/19.5.0/assistants/dbca/dbca.rsp
[WARNING] [DBT-11209] 当前的可用内存低于创建数据库所需的可用内存 (6,144MB)。
   原因: 以下节点没有必需的可用内存:
 节点:bogon		可用内存:5.447GB (5711572.0KB)

[WARNING] [DBT-06208] 输入的 'SYS(S)' 口令未遵从 Oracle 建议的标准。
   原因: 
a. Oracle 建议, 输入的口令长度不应少于 8 个字符, 至少包含 1 个大写字符, 1 个小写字符和 1 个数字 [0-9]。
b. 输入的口令是一个关键字, Oracle 建议不要将其用作口令
   操作: 指定强口令。如果需要, 请参阅 Oracle 文档以了解相关指南。
[WARNING] [DBT-06208] 输入的 'SYSTEM' 口令未遵从 Oracle 建议的标准。
   原因: 
a. Oracle 建议, 输入的口令长度不应少于 8 个字符, 至少包含 1 个大写字符, 1 个小写字符和 1 个数字 [0-9]。
b. 输入的口令是一个关键字, Oracle 建议不要将其用作口令
   操作: 指定强口令。如果需要, 请参阅 Oracle 文档以了解相关指南。
准备执行数据库操作
已完成 10%
复制数据库文件
已完成 40%
正在创建并启动 Oracle 实例
已完成 42%
已完成 46%
已完成 50%
已完成 54%
已完成 60%
正在进行数据库创建
已完成 66%
已完成 70%
执行配置后操作
已完成 100%
数据库创建完成。有关详细信息, 请查看以下位置的日志文件:
 /u01/app/oracle/cfgtoollogs/dbca/orcl。
数据库信息:
全局数据库名:orcl
系统标识符 (SID):orcl
有关详细信息, 请参阅日志文件 "/u01/app/oracle/cfgtoollogs/dbca/orcl/orcl.log"。

一些警告不要紧,这样就安装成功了!

wechat

 3、检查

[oracle@bogon dbca]$ sqlplus /nolog
SQL> conn sys/oracle as sysdba
Connected to an idle instance.
SQL> startup force 
ORA-01078: failure in processing system parameters
LRM-00109: could not open parameter file '/u01/app/oracle/product/19.5.0/dbs/initywxtdb.ora'

启动时出这个错,不要惊慌,只需要将 $ORACLE_BASE/admin/orcl/pfile/目录下的init.ora.61202217292文件复制到$ORACLE_BASE/dbs

MySQL数据库

[oracle@bogon pfile]$ cd $ORACLE_BASE/admin/orcl/pfile
[oracle@bogon pfile]$ cp init.ora.61202217292 $ORACLE_HOME/dbs/initywxtdb.ora

然后再执行启动可能会出现如下错误

ConfigurationProperties

ORA-01102: cannot mount database in EXCLUSIVE mode

这个一试是 文件被占用,无法锁定

wxfile转成base64

[oracle@bogon dbs]$ cd $ORACLE_HOME/dbs
[oracle@bogon dbs]$  ls sgadef*
ls: 无法访问sgadef*: 没有那个文件或目录
[oracle@bogon dbs]$  ls lk*
lkORCL
##果然,lk<sid>文件没有被删除。将它删除掉
[oracle@bogon dbs]$ rm lk*
#再启动数据库

这样就启动成功,接下来可以试试plsql连接啦!

网络协议

发表回复

您的电子邮箱地址不会被公开。 必填项已用*标注